public class Rule extends RuleConstraint {
	List<RuleConstraint> constraints;

	public Rule()
	public void apply(Membrane membrane) {
		for (RuleConstraint constraint : constraints) {
			constraint.apply(membrane);
		}
	}
	public boolean check(Membrane membrane) {
		boolean isApplicable = true;
		Iterator<RuleConstraint> iter = constraints.iterator();
		while (isApplicable && iter.hasNext()) {
			isApplicable = isApplicable && iter.next().check(membrane);
		}
		return isApplicable;
	}
}
